Mise à jour JAVA 1.4.2 et Panther

r e m y

Cas clinique
Club MacG
4 Novembre 2000
41 489
4 286
58
St Germain en Laye - FRANCE
Juste une info qui pourra peut-être rendre service à d'autres.

Java 1.4.2 refusait de s'installer sur mon Imac (MacOS X 10.3.2) indu=iquant qu'il fallait d'abord installer la mise à jour 1.4.1... Or jamais Mise à jour logiciel ne m'avait proposé cette mise à jour 1.4.1. De plus en faisant une recherche sur mon disque dur la plupart des fichiers JAVA trouvé afichaient un numéro de version 1.4.1

Après quelques recherche sur le Net, je me suis rendu compte qu'il existe 2 versions de mise à jour JAVA 1.4.1.

Une pour Jaguar (que j'avais installée sur mon iMac en septembre dernier) et une pour Panther .

Comme la version pour Jaguar était installée, je suppose que mise à jour logiciel a cru mon Mac à jour et ne m'a jamais proposé d'installer la version spécifique à Panther.

Quoi qu'il en soit, il m'a d'abord fallu telecharger cette 1.4.1 Panthérisée , puis l'installer, pour que la mise à jour 1.4.2 accepte de s'installer.
 

r e m y

Cas clinique
Club MacG
4 Novembre 2000
41 489
4 286
58
St Germain en Laye - FRANCE
un langage de programmation multi plateformes, largement utlisé sur les sites internet.

Safari en fait un large usage.
 

FANREM

Membre d’élite
Club MacG
29 Avril 2001
2 114
573
La Varenne
Chez moi depuis la MAJ java 1.4.2; impossible de lancer Acqlite. J'obtiens un message comme quoi il faut installer la version 1.4.1. Est ce quelqu'un a trouve une solution ?
 

Luc G

Vénérable sage
Club MacG
17 Octobre 2001
11 883
1 902
66
Dans le sud
luc.greliche.free.fr
Magnus_Wislander a dit:
désolé d'être un ignorant total, mais qu'est-ce que c'est Java ? oui, je sais un langage de programmation, mais il faut un logiciel pour le lire ??????????????
Java utilise la technique de la machine virtuelle : un programme java compilé (un "exécutable") est prévu en général pour tourner non sur un processeur donné mais sur une machine java. Cette machine java est simulée sur un mac par la JVM du mac (java virtual machine), c'est de cette JVM que tu as besoin.

L'intérêt est qu'on peut transférer des exécutables d'un pc à un mac ou à une macine unix ou autre, sans avoir à recompiler ces programmes puisque, grâce à la JVM, l'ordi sera vu comme une machine java standard.

Comme java évolue, la JVM aussi. En plus, Apple essaye de l'optimiser pour que les programmes java tournent plus vite, d'où une raison supplémentaire pour voir évoluer la JVM
 

r e m y

Cas clinique
Club MacG
4 Novembre 2000
41 489
4 286
58
St Germain en Laye - FRANCE
oui il y a un document diffusé par Apple dans sa knowledge base.

Il explique que cette application teste la version de java présente pour vérifier que c'est bien la 1.4.1 et ils donnent la modif à faire dans un fichier texte d'init pour supprimer ce test inutile.
 

r e m y

Cas clinique
Club MacG
4 Novembre 2000
41 489
4 286
58
St Germain en Laye - FRANCE
oups ce n'était pas au sujet d'acqlite...

mais peut-être peux-tu t'inspirer de ce qui est dit pour essayer de contourner ton problème avec acqlite
 

nato kino

Vénérable sage
Club MacG
21 Avril 2002
13 456
1 253
FANREM a dit:
Chez moi depuis la MAJ java 1.4.2; impossible de lancer Acqlite. J'obtiens un message comme quoi il faut installer la version 1.4.1. Est ce quelqu'un a trouve une solution ?
Il y a eu une 'tite mise à jour d'AcqLite, version 0.23b (lien direct).
 
  • J’aime
Réactions: iTof

FANREM

Membre d’élite
Club MacG
29 Avril 2001
2 114
573
La Varenne
Merci remy, merci Nato ; Probleme resolu
 

r e m y

Cas clinique
Club MacG
4 Novembre 2000
41 489
4 286
58
St Germain en Laye - FRANCE
pb résolu? Tu peux peut-être donner la solution... ça pourrait servir à d'autres, non?
 

simon

Membre d’élite
Club MacG
18 Juin 2000
3 669
16
Singapore
www.simonganiere.ch
r e m y a dit:
pb résolu? Tu peux peut-être donner la solution... ça pourrait servir à d'autres, non?
ben il l'a donne, enfin pas lui mais celui (dont je ne sais plus le nom, mais juste en dessus) qui a donnée le lien pour télécharger acqulite compatible avec Java 1.4.2
 

FANREM

Membre d’élite
Club MacG
29 Avril 2001
2 114
573
La Varenne
nato kino a dit:
Il y a eu une 'tite mise à jour d'AcqLite, version 0.23b (lien direct).
Re-Merci pour cette info. Cette version telechargee solutionne le probleme
r e m y a dit:
oui il y a un document diffusé par Apple dans sa knowledge base.

Il explique que cette application teste la version de java présente pour vérifier que c'est bien la 1.4.1 et ils donnent la modif à faire dans un fichier texte d'init pour supprimer ce test inutile.
Merci a toi aussi pour cette aide. J'ai pas vraiment teste car le telechargement m'a permis de regler instantanement

A+
 

volubilis

Nouveau membre
25 Juin 2004
1
0
41
r e m y a dit:
Juste une info qui pourra peut-être rendre service à d'autres.

Java 1.4.2 refusait de s'installer sur mon Imac (MacOS X 10.3.2) induiquant qu'il fallait d'abord installer la mise à jour 1.4.1... Or jamais Mise à jour logiciel ne m'avait proposé cette mise à jour 1.4.1. De plus en faisant une recherche sur mon disque dur la plupart des fichiers JAVA trouvé afichaient un numéro de version 1.4.1

Après quelques recherche sur le Net, je me suis rendu compte qu'il existe 2 versions de mise à jour JAVA 1.4.1. : Une pour Jaguar et une pourPanther

Quoi qu'il en soit, il m'a d'abord fallu telecharger cette 1.4.1 Panthérisée , puis l'installer, pour que la mise à jour 1.4.2 accepte de s'installer.
:confused: Merci pour l'info, mais malgré trois tentatives successives d'installation du Java panthérisé, mon mac refuse toujours d'installer java 1.4.2

Quelqu'un a la solution ? :siffle:
 

Bernard2

Membre junior
5 Octobre 2003
28
0
r e m y a dit:
oui il y a un document diffusé par Apple dans sa knowledge base.

Il explique que cette application teste la version de java présente pour vérifier que c'est bien la 1.4.1 et ils donnent la modif à faire dans un fichier texte d'init pour supprimer ce test inutile.
Ok mais je ne trouve pas ce document.
Peux tu me l'indiquer?

merci
 

hirondelle

Membre junior
14 Juin 2004
62
12
72
près de Lyon
volubilis a dit:
:confused: Merci pour l'info, mais malgré trois tentatives successives d'installation du Java panthérisé, mon mac refuse toujours d'installer java 1.4.2

Quelqu'un a la solution ? :siffle:
Non seulement je ne l'ai pas, mais j'ai le même problème !
 

r e m y

Cas clinique
Club MacG
4 Novembre 2000
41 489
4 286
58
St Germain en Laye - FRANCE
Autre solution lue sur MacFixit:

dans le dossier Receipts, supprimer le fichier QuickTimeJavaUpdate.pkg
et retenter l'install de Java 1.4.2
 

r e m y

Cas clinique
Club MacG
4 Novembre 2000
41 489
4 286
58
St Germain en Laye - FRANCE
Disque dur/bibliothèque/Receipts

mais tu sais il y a mille façons de faire une recherche sur le Finder du Mac, pour retrouver un fichier ou un dossier dont on connait une paryie du nom!
 

r e m y

Cas clinique
Club MacG
4 Novembre 2000
41 489
4 286
58
St Germain en Laye - FRANCE
Autre solution

Télécharger Java 1.4.2 (28 Mo)
Monter l'image-disque sur le bureau
A l'intérieur se trouve un package nommé java142.pkg
Le copier sur le bureau
Control-clic sur ce package, choisir afficher le contenu du paquet
Puis ouvrir successivement les dossiers "Contents", "Resources"

Trouver le fichier "VolumeCheck", le poubelliser, vider la poubelle.

Double-cliquer le package ainsi modifié pour lancer son installation (sans contrôle de la version antérieure installée)